Bug 1734687 - 'pcs resource bundle reset' fails if existing port-map and storage-map ids are reused [rhel-7.7.z]
Summary: 'pcs resource bundle reset' fails if existing port-map and storage-map ids ar...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pcs
Version: 7.7
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: ---
Assignee: Ivan Devat
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On: 1725849
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-31 08:17 UTC by RAD team bot copy to z-stream
Modified: 2019-09-03 17:41 UTC (History)
9 users (show)

Fixed In Version: pcs-0.9.167-3.el7_7.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1725849
Environment:
Last Closed: 2019-09-03 17:41:39 UTC
Target Upstream Version:


Attachments (Terms of Use)
proposed fix (36.67 KB, patch)
2019-08-05 12:24 UTC, Ivan Devat
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1598197 urgent CLOSED Updating a bundle is a bit cumbersome 2020-10-14 00:28:05 UTC
Red Hat Product Errata RHBA-2019:2604 None None None 2019-09-03 17:41:40 UTC

Description RAD team bot copy to z-stream 2019-07-31 08:17:48 UTC
This bug has been copied from bug #1725849 and has been proposed to be backported to 7.7 z-stream (EUS).

Comment 2 Ivan Devat 2019-08-05 12:24:36 UTC
Created attachment 1600639 [details]
proposed fix

Comment 3 Ivan Devat 2019-08-05 14:23:25 UTC
After fix

[kid76 ~] $ rpm -q pcs
pcs-0.9.167-3.el7_7.1.x86_64
[kid76 ~] $ pcs resource bundle create B1 container docker image=pcs:new port-map id=PM1 range=4000-4400 storage-map id=SM1 source-dir=/tmp/a target-dir=/tmp/b
[kid76 ~] $ pcs resource bundle reset B1 container image=pcs:new port-map id=PM1 range=4000-4400 storage-map id=SM1 source-dir=/tmp/a target-dir=/tmp/b
[kid76 ~] $ echo $?
0

Comment 10 errata-xmlrpc 2019-09-03 17:41:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2604


Note You need to log in before you can comment on or make changes to this bug.